/*
 * Rewritten as Scout by Jeffrey Fulmer
 * 
 * LinkCheck 
 * Copyright (C) 2000 Inter7 Internet Technologies, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 * 
 */

#define TRUE                                 1
#define FALSE                                0
#define EXIT_SUCCESS                         0
#define EXIT_FAILURE                         1
#define HTTP_PORT                           80
#define HTTPS_PORT                         443
#define FTP_PORT                            21

#define HTTP_CONTINUE                      100
#define HTTP_SWITCHING_PROTOCOLS           101
#define HTTP_OK                            200
#define HTTP_CREATED                       201
#define HTTP_ACCEPTED                      202
#define HTTP_NON_AUTHORITATIVE             203
#define HTTP_NO_CONTENT                    204
#define HTTP_RESET_CONTENT                 205
#define HTTP_PARTIAL_CONTENT               206
#define HTTP_MULTIPLE_CHOICES              300
#define HTTP_MOVED_PERMANENTLY             301
#define HTTP_MOVED_TEMPORARILY             302
#define HTTP_SEE_OTHER                     303
#define HTTP_NOT_MODIFIED                  304
#define HTTP_USE_PROXY                     305
#define HTTP_BAD_REQUEST                   400
#define HTTP_UNAUTHORIZED                  401
#define HTTP_PAYMENT_REQUIRED              402
#define HTTP_FORBIDDEN                     403
#define HTTP_NOT_FOUND                     404
#define HTTP_METHOD_NOT_ALLOWED            405
#define HTTP_NOT_ACCEPTABLE                406
#define HTTP_PROXY_AUTHENTICATION_REQUIRED 407
#define HTTP_REQUEST_TIME_OUT              408
#define HTTP_CONFLICT                      409
#define HTTP_GONE                          410
#define HTTP_LENGTH_REQUIRED               411
#define HTTP_PRECONDITION_FAILED           412
#define HTTP_REQUEST_ENTITY_TOO_LARGE      413
#define HTTP_REQUEST_URI_TOO_LARGE         414
#define HTTP_UNSUPPORTED_MEDIA_TYPE        415
#define HTTP_INTERNAL_SERVER_ERROR         500
#define HTTP_NOT_IMPLEMENTED               501
#define HTTP_BAD_GATEWAY                   502
#define HTTP_SERVICE_UNAVAILABLE           503
#define HTTP_GATEWAY_TIME_OUT              504
#define HTTP_VERSION_NOT_SUPPORTED         505
#define HTTP_VARIANT_ALSO_VARIES           506
#define HTTP_NOT_CHECKED                     0
#define HTTP_COULD_NOT_CONNECT               1
#define HTTP_NETWORK_READ_ERROR              2
#define HTTP_NO_SUCH_EMAIL_ADDR              3

#define USER_AGENT "User-Agent: Mozilla/4.70 [en] (X11; I; Linux 2.2.4)" 
#define REFERER    "Referer: http://www.joedog.org" 

#define ERR_HTTP_CONTINUE					"continue"
#define ERR_HTTP_SWITCHING_PROTOCOLS		"switching protocols"
#define ERR_HTTP_OK							"ok"
#define ERR_HTTP_CREATED					"created"
#define ERR_HTTP_ACCEPTED					"accepted"
#define ERR_HTTP_NON_AUTHORITATIVE			"non authoritative"
#define ERR_HTTP_NO_CONTENT					"no content"
#define ERR_HTTP_RESET_CONTENT				"reset content"
#define ERR_HTTP_PARTIAL_CONTENT			"partial content"
#define ERR_HTTP_MULTIPLE_CHOICES			"multiple choices"
#define ERR_HTTP_MOVED_PERMANENTLY			"moved permanetly"
#define ERR_HTTP_MOVED_TEMPORARILY			"moved temporarily"
#define ERR_HTTP_SEE_OTHER					"see other"
#define ERR_HTTP_NOT_MODIFIED				"not modified"
#define ERR_HTTP_USE_PROXY					"use proxy"
#define ERR_HTTP_BAD_REQUEST				"bad request"
#define ERR_HTTP_UNAUTHORIZED				"unauthorized"
#define ERR_HTTP_PAYMENT_REQUIRED			"payment required"
#define ERR_HTTP_FORBIDDEN					"forbidden"
#define ERR_HTTP_NOT_FOUND					"not found"
#define ERR_HTTP_METHOD_NOT_ALLOWED			"method not allowed"
#define ERR_HTTP_NOT_ACCEPTABLE				"not acceptable"
#define ERR_HTTP_PROXY_AUTHENTICATION_REQUIRED "proxy authentication required"
#define ERR_HTTP_REQUEST_TIME_OUT			"request time out"
#define ERR_HTTP_CONFLICT					"conflict"
#define ERR_HTTP_GONE						"gone"
#define ERR_HTTP_LENGTH_REQUIRED			"length required"
#define ERR_HTTP_PRECONDITION_FAILED		"precondition failed"
#define ERR_HTTP_REQUEST_ENTITY_TOO_LARGE	"entity too large"
#define ERR_HTTP_REQUEST_URI_TOO_LARGE		"uri too large"
#define ERR_HTTP_UNSUPPORTED_MEDIA_TYPE		"unsupported media type"
#define ERR_HTTP_INTERNAL_SERVER_ERROR		"internal server error"
#define ERR_HTTP_NOT_IMPLEMENTED			"not implemented"
#define ERR_HTTP_BAD_GATEWAY				"bad gateway"
#define ERR_HTTP_SERVICE_UNAVAILABLE		"service unavailable"
#define ERR_HTTP_GATEWAY_TIME_OUT			"gateway time out"
#define ERR_HTTP_VERSION_NOT_SUPPORTED		"version not supported"
#define ERR_HTTP_VARIANT_ALSO_VARIES		"variant also varies"
#define ERR_HTTP_COULD_NOT_CONNECT          "could not connect" 
#define ERR_HTTP_NETWORK_READ_ERROR         "network read error" 
#define ERR_HTTP_NO_SUCH_EMAIL_ADDR         "no such email addr" 
#define ERR_HTTP_NOT_CHECKED                "not checked" 
